configure revision 1.3 1 1.1 joerg #!/bin/sh
2 1.1 joerg #
3 1.2 christos # Copyright (c) 2014, 2015 Ingo Schwarze <schwarze (at] openbsd.org>
4 1.1 joerg #
5 1.1 joerg # Permission to use, copy, modify, and distribute this software for any
6 1.1 joerg # purpose with or without fee is hereby granted, provided that the above
7 1.1 joerg # copyright notice and this permission notice appear in all copies.
8 1.1 joerg #
9 1.1 joerg # THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
10 1.1 joerg # WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
11 1.1 joerg # MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
12 1.1 joerg # ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
13 1.1 joerg # WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
14 1.1 joerg # ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
15 1.1 joerg # OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
16 1.1 joerg
17 1.1 joerg set -e
18 1.1 joerg
19 1.2 christos [ -e config.log ] && mv config.log config.log.old
20 1.2 christos [ -e config.h ] && mv config.h config.h.old
21 1.1 joerg
22 1.2 christos # Output file descriptor usage:
23 1.2 christos # 1 (stdout): config.h, Makefile.local
24 1.2 christos # 2 (stderr): original stderr, usually to the console
25 1.2 christos # 3: config.log
26 1.1 joerg
27 1.2 christos exec 3> config.log
28 1.2 christos echo "config.log: writing..."
29 1.2 christos
30 1.2 christos # --- default settings -------------------------------------------------
31 1.2 christos # Initialize all variables here,
32 1.2 christos # such that nothing can leak in from the environment.
33 1.2 christos
34 1.2 christos OSNAME=
35 1.2 christos
36 1.2 christos CC=`printf "all:\\n\\t@echo \\\$(CC)\\n" | make -f -`
37 1.2 christos CFLAGS="-g -W -Wall -Wstrict-prototypes -Wno-unused-parameter -Wwrite-strings"
38 1.2 christos DBLIB=
39 1.2 christos STATIC="-static"
40 1.2 christos
41 1.2 christos BUILD_DB=1
42 1.2 christos BUILD_CGI=0
43 1.2 christos
44 1.2 christos HAVE_DIRENT_NAMLEN=
45 1.2 christos HAVE_FGETLN=
46 1.2 christos HAVE_FTS=
47 1.2 christos HAVE_GETSUBOPT=
48 1.2 christos HAVE_MMAP=
49 1.2 christos HAVE_REALLOCARRAY=
50 1.2 christos HAVE_STRCASESTR=
51 1.2 christos HAVE_STRLCAT=
52 1.2 christos HAVE_STRLCPY=
53 1.2 christos HAVE_STRPTIME=
54 1.2 christos HAVE_STRSEP=
55 1.2 christos HAVE_STRTONUM=
56 1.2 christos HAVE_WCHAR=
57 1.2 christos
58 1.2 christos HAVE_SQLITE3=
59 1.2 christos HAVE_SQLITE3_ERRSTR=
60 1.2 christos HAVE_OHASH=
61 1.2 christos HAVE_MANPATH=
62 1.2 christos
63 1.2 christos PREFIX="/usr/local"
64 1.2 christos BINDIR=
65 1.2 christos SBINDIR=
66 1.2 christos INCLUDEDIR=
67 1.2 christos LIBDIR=
68 1.2 christos MANDIR=
69 1.2 christos EXAMPLEDIR=
70 1.2 christos HOMEBREWDIR=
71 1.2 christos
72 1.2 christos WWWPREFIX="/var/www"
73 1.2 christos HTDOCDIR=
74 1.2 christos CGIBINDIR=
75 1.2 christos
76 1.2 christos BINM_APROPOS="apropos"
77 1.2 christos BINM_MAN="man"
78 1.2 christos BINM_WHATIS="whatis"
79 1.2 christos BINM_MAKEWHATIS="makewhatis"
80 1.2 christos MANM_MAN="man"
81 1.2 christos MANM_MDOC="mdoc"
82 1.2 christos MANM_ROFF="roff"
83 1.2 christos MANM_EQN="eqn"
84 1.2 christos MANM_TBL="tbl"
85 1.2 christos
86 1.2 christos INSTALL="install"
87 1.2 christos INSTALL_PROGRAM=
88 1.2 christos INSTALL_LIB=
89 1.2 christos INSTALL_MAN=
90 1.2 christos INSTALL_DATA=
91 1.2 christos
92 1.2 christos # --- manual settings from configure.local -----------------------------
93 1.2 christos
94 1.2 christos if [ -e ./configure.local ]; then
95 1.2 christos echo "configure.local: reading..." 1>&2
96 1.2 christos echo "configure.local: reading..." 1>&3
97 1.2 christos cat ./configure.local 1>&3
98 1.2 christos . ./configure.local
99 1.2 christos else
100 1.2 christos echo "configure.local: no (fully automatic configuration)" 1>&2
101 1.2 christos echo "configure.local: no (fully automatic configuration)" 1>&3
102 1.2 christos fi
103 1.2 christos echo 1>&3
104 1.2 christos
105 1.2 christos # --- tests for config.h ----------------------------------------------
106 1.2 christos
107 1.2 christos COMP="${CC} ${CFLAGS} -Wno-unused -Werror"
108 1.2 christos
109 1.2 christos # Check whether this HAVE_ setting is manually overridden.
110 1.2 christos # If yes, use the override, if no, do not decide anything yet.
111 1.2 christos # Arguments: lower-case test name, manual value
112 1.2 christos ismanual() {
113 1.2 christos [ -z "${2}" ] && return 1
114 1.2 christos echo "${1}: manual (${2})" 1>&2
115 1.2 christos echo "${1}: manual (${2})" 1>&3
116 1.2 christos echo 1>&3
117 1.2 christos return 0
118 1.2 christos }
119 1.2 christos
120 1.2 christos # Run a single autoconfiguration test.
121 1.2 christos # In case of success, enable the feature.
122 1.2 christos # In case of failure, do not decide anything yet.
123 1.2 christos # Arguments: lower-case test name, upper-case test name, additional CFLAGS
124 1.2 christos singletest() {
125 1.2 christos cat 1>&3 << __HEREDOC__
126 1.2 christos ${1}: testing...
127 1.2 christos ${COMP} ${3} -o test-${1} test-${1}.c
128 1.2 christos __HEREDOC__
129 1.2 christos
130 1.2 christos if ${COMP} ${3} -o "test-${1}" "test-${1}.c" 1>&3 2>&3; then
131 1.2 christos echo "${1}: ${CC} succeeded" 1>&3
132 1.2 christos else
133 1.2 christos echo "${1}: ${CC} failed with $?" 1>&3
134 1.2 christos echo 1>&3
135 1.2 christos return 1
136 1.2 christos fi
137 1.2 christos
138 1.2 christos if ./test-${1} 1>&3 2>&3; then
139 1.2 christos echo "${1}: yes" 1>&2
140 1.2 christos echo "${1}: yes" 1>&3
141 1.2 christos echo 1>&3
142 1.2 christos eval HAVE_${2}=1
143 1.2 christos rm "test-${1}"
144 1.2 christos return 0
145 1.2 christos else
146 1.2 christos echo "${1}: execution failed with $?" 1>&3
147 1.2 christos echo 1>&3
148 1.2 christos rm "test-${1}"
149 1.2 christos return 1
150 1.2 christos fi
151 1.2 christos }
152 1.2 christos
153 1.2 christos # Run a complete autoconfiguration test, including the check for
154 1.2 christos # a manual override and disabling the feature on failure.
155 1.2 christos # Arguments: lower case name, upper case name, additional CFLAGS
156 1.1 joerg runtest() {
157 1.2 christos eval _manual=\${HAVE_${2}}
158 1.2 christos ismanual "${1}" "${_manual}" && return 0
159 1.2 christos singletest "${1}" "${2}" "${3}" && return 0
160 1.2 christos echo "${1}: no" 1>&2
161 1.2 christos eval HAVE_${2}=0
162 1.2 christos return 1
163 1.1 joerg }
164 1.1 joerg
165 1.2 christos # --- library functions ---
166 1.2 christos runtest dirent-namlen DIRENT_NAMLEN || true
167 1.2 christos runtest fgetln FGETLN || true
168 1.2 christos runtest fts FTS || true
169 1.2 christos runtest getsubopt GETSUBOPT || true
170 1.2 christos runtest mmap MMAP || true
171 1.2 christos runtest reallocarray REALLOCARRAY || true
172 1.2 christos runtest strcasestr STRCASESTR || true
173 1.2 christos runtest strlcat STRLCAT || true
174 1.2 christos runtest strlcpy STRLCPY || true
175 1.2 christos runtest strptime STRPTIME || true
176 1.2 christos runtest strsep STRSEP || true
177 1.2 christos runtest strtonum STRTONUM || true
178 1.2 christos runtest wchar WCHAR || true
179 1.2 christos
180 1.2 christos # --- sqlite3 ---
181 1.2 christos DETECTLIB=
182 1.2 christos if [ ${BUILD_DB} -eq 0 ]; then
183 1.2 christos echo "BUILD_DB=0 (manual)" 1>&2
184 1.2 christos echo "BUILD_DB=0 (manual)" 1>&3
185 1.2 christos echo 1>&3
186 1.2 christos HAVE_SQLITE3=0
187 1.2 christos elif ismanual sqlite3 "${HAVE_SQLITE3}"; then
188 1.2 christos DETECTLIB="-lsqlite3"
189 1.2 christos elif [ -n "${DBLIB}" ]; then
190 1.2 christos runtest sqlite3 SQLITE3 "${DBLIB}" || true
191 1.2 christos elif singletest sqlite3 SQLITE3 "-lsqlite3"; then
192 1.2 christos DETECTLIB="-lsqlite3"
193 1.2 christos elif runtest sqlite3 SQLITE3 \
194 1.2 christos "-I/usr/local/include -L/usr/local/lib -lsqlite3"; then
195 1.2 christos DETECTLIB="-L/usr/local/lib -lsqlite3"
196 1.2 christos CFLAGS="${CFLAGS} -I/usr/local/include"
197 1.2 christos fi
198 1.2 christos if [ ${BUILD_DB} -gt 0 -a ${HAVE_SQLITE3} -eq 0 ]; then
199 1.2 christos echo "BUILD_DB=0 (no sqlite3)" 1>&2
200 1.2 christos echo "BUILD_DB=0 (no sqlite3)" 1>&3
201 1.2 christos echo 1>&3
202 1.2 christos BUILD_DB=0
203 1.2 christos fi
204 1.2 christos
205 1.2 christos # --- sqlite3_errstr ---
206 1.2 christos if [ ${BUILD_DB} -eq 0 ]; then
207 1.2 christos HAVE_SQLITE3_ERRSTR=1
208 1.2 christos elif ismanual sqlite3_errstr "${HAVE_SQLITE3_ERRSTR}"; then
209 1.2 christos :
210 1.2 christos elif [ -n "${DBLIB}" ]; then
211 1.2 christos runtest sqlite3_errstr SQLITE3_ERRSTR "${DBLIB}" || true
212 1.2 christos else
213 1.2 christos runtest sqlite3_errstr SQLITE3_ERRSTR "${DETECTLIB}" || true
214 1.2 christos fi
215 1.2 christos
216 1.2 christos # --- ohash ---
217 1.2 christos if [ ${BUILD_DB} -eq 0 ]; then
218 1.2 christos HAVE_OHASH=1
219 1.2 christos elif ismanual ohash "${HAVE_OHASH}"; then
220 1.2 christos :
221 1.2 christos elif [ -n "${DBLIB}" ]; then
222 1.2 christos runtest ohash OHASH "${DBLIB}" || true
223 1.2 christos elif singletest ohash OHASH; then
224 1.2 christos :
225 1.2 christos elif runtest ohash OHASH "-lutil"; then
226 1.2 christos DETECTLIB="${DETECTLIB} -lutil"
227 1.2 christos fi
228 1.2 christos
229 1.2 christos # --- DBLIB ---
230 1.2 christos if [ ${BUILD_DB} -eq 0 ]; then
231 1.2 christos DBLIB=
232 1.2 christos elif [ -z "${DBLIB}" ]; then
233 1.2 christos DBLIB="${DETECTLIB}"
234 1.2 christos echo "DBLIB=\"${DBLIB}\"" 1>&2
235 1.2 christos echo "DBLIB=\"${DBLIB}\"" 1>&3
236 1.2 christos echo 1>&3
237 1.2 christos fi
238 1.2 christos
239 1.2 christos # --- manpath ---
240 1.2 christos if ismanual manpath "${HAVE_MANPATH}"; then
241 1.2 christos :
242 1.2 christos elif manpath 1>&3 2>&3; then
243 1.2 christos echo "manpath: yes" 1>&2
244 1.2 christos echo "manpath: yes" 1>&3
245 1.2 christos echo 1>&3
246 1.2 christos HAVE_MANPATH=1
247 1.2 christos else
248 1.2 christos echo "manpath: no" 1>&2
249 1.2 christos echo "manpath: no" 1>&3
250 1.2 christos echo 1>&3
251 1.2 christos HAVE_MANPATH=0
252 1.2 christos fi
253 1.2 christos
254 1.2 christos # --- write config.h ---
255 1.2 christos
256 1.2 christos exec > config.h
257 1.2 christos
258 1.2 christos cat << __HEREDOC__
259 1.2 christos #ifndef MANDOC_CONFIG_H
260 1.2 christos #define MANDOC_CONFIG_H
261 1.2 christos
262 1.2 christos #ifdef HAVE_NBTOOL_CONFIG_H
263 1.2 christos #include "nbtool_config.h"
264 1.2 christos #endif
265 1.2 christos
266 1.2 christos #if defined(__linux__) || defined(__MINT__)
267 1.2 christos #define _GNU_SOURCE /* See test-*.c what needs this. */
268 1.2 christos #endif
269 1.2 christos
270 1.2 christos __HEREDOC__
271 1.2 christos
272 1.2 christos [ ${HAVE_FGETLN} -eq 0 -o ${HAVE_REALLOCARRAY} -eq 0 -o \
273 1.2 christos ${HAVE_STRLCAT} -eq 0 -o ${HAVE_STRLCPY} -eq 0 ] \
274 1.2 christos && echo "#include <sys/types.h>"
275 1.2 christos [ ${HAVE_FGETLN} -eq 0 ] && echo "#include <stdio.h>"
276 1.2 christos
277 1.1 joerg echo
278 1.2 christos [ -n "${OSNAME}" ] && echo "#define OSNAME \"${OSNAME}\""
279 1.2 christos [ -n "${HOMEBREWDIR}" ] && echo "#define HOMEBREWDIR \"${HOMEBREWDIR}\""
280 1.2 christos
281 1.2 christos cat << __HEREDOC__
282 1.2 christos #ifndef HAVE_NBTOOL_CONFIG_H
283 1.2 christos #define HAVE_DIRENT_NAMLEN ${HAVE_DIRENT_NAMLEN}
284 1.2 christos #define HAVE_FGETLN ${HAVE_FGETLN}
285 1.2 christos #define HAVE_FTS ${HAVE_FTS}
286 1.2 christos #define HAVE_GETSUBOPT ${HAVE_GETSUBOPT}
287 1.2 christos #define HAVE_MMAP ${HAVE_MMAP}
288 1.2 christos #define HAVE_REALLOCARRAY ${HAVE_REALLOCARRAY}
289 1.2 christos #define HAVE_STRCASESTR ${HAVE_STRCASESTR}
290 1.2 christos #define HAVE_STRLCAT ${HAVE_STRLCAT}
291 1.2 christos #define HAVE_STRLCPY ${HAVE_STRLCPY}
292 1.2 christos #define HAVE_STRPTIME ${HAVE_STRPTIME}
293 1.2 christos #define HAVE_STRSEP ${HAVE_STRSEP}
294 1.2 christos #define HAVE_STRTONUM ${HAVE_STRTONUM}
295 1.2 christos #define HAVE_WCHAR ${HAVE_WCHAR}
296 1.2 christos #define HAVE_SQLITE3 ${HAVE_SQLITE3}
297 1.2 christos #define HAVE_SQLITE3_ERRSTR ${HAVE_SQLITE3_ERRSTR}
298 1.2 christos #define HAVE_OHASH ${HAVE_OHASH}
299 1.2 christos #define HAVE_MANPATH ${HAVE_MANPATH}
300 1.2 christos #endif
301 1.2 christos
302 1.2 christos #define BINM_APROPOS "${BINM_APROPOS}"
303 1.2 christos #define BINM_MAN "${BINM_MAN}"
304 1.2 christos #define BINM_WHATIS "${BINM_WHATIS}"
305 1.2 christos #define BINM_MAKEWHATIS "${BINM_MAKEWHATIS}"
306 1.2 christos
307 1.2 christos #if !defined(__BEGIN_DECLS)
308 1.2 christos # ifdef __cplusplus
309 1.2 christos # define __BEGIN_DECLS extern "C" {
310 1.2 christos # else
311 1.2 christos # define __BEGIN_DECLS
312 1.2 christos # endif
313 1.2 christos #endif
314 1.2 christos #if !defined(__END_DECLS)
315 1.2 christos # ifdef __cplusplus
316 1.2 christos # define __END_DECLS }
317 1.2 christos # else
318 1.2 christos # define __END_DECLS
319 1.2 christos # endif
320 1.2 christos #endif
321 1.2 christos
322 1.2 christos __HEREDOC__
323 1.2 christos
324 1.2 christos [ ${HAVE_FGETLN} -eq 0 ] && \
325 1.2 christos echo "extern char *fgetln(FILE *, size_t *);"
326 1.2 christos
327 1.2 christos [ ${HAVE_GETSUBOPT} -eq 0 ] && \
328 1.2 christos echo "extern int getsubopt(char **, char * const *, char **);"
329 1.2 christos
330 1.2 christos [ ${HAVE_REALLOCARRAY} -eq 0 ] && \
331 1.2 christos echo "extern void *reallocarray(void *, size_t, size_t);"
332 1.2 christos
333 1.2 christos [ ${BUILD_DB} -gt 0 -a ${HAVE_SQLITE3_ERRSTR} -eq 0 ] &&
334 1.2 christos echo "extern const char *sqlite3_errstr(int);"
335 1.2 christos
336 1.2 christos [ ${HAVE_STRCASESTR} -eq 0 ] && \
337 1.2 christos echo "extern char *strcasestr(const char *, const char *);"
338 1.2 christos
339 1.2 christos [ ${HAVE_STRLCAT} -eq 0 ] && \
340 1.2 christos echo "extern size_t strlcat(char *, const char *, size_t);"
341 1.2 christos
342 1.2 christos [ ${HAVE_STRLCPY} -eq 0 ] && \
343 1.2 christos echo "extern size_t strlcpy(char *, const char *, size_t);"
344 1.2 christos
345 1.2 christos [ ${HAVE_STRSEP} -eq 0 ] && \
346 1.3 joerg echo "#undef strsep"
347 1.2 christos echo "extern char *strsep(char **, const char *);"
348 1.2 christos
349 1.2 christos [ ${HAVE_STRTONUM} -eq 0 ] && \
350 1.2 christos echo "extern long long strtonum(const char *, long long, long long, const char **);"
351 1.2 christos
352 1.1 joerg echo
353 1.2 christos echo "#endif /* MANDOC_CONFIG_H */"
354 1.2 christos
355 1.2 christos echo "config.h: written" 1>&2
356 1.2 christos echo "config.h: written" 1>&3
357 1.2 christos
358 1.2 christos # --- tests for Makefile.local -----------------------------------------
359 1.2 christos
360 1.2 christos exec > Makefile.local
361 1.2 christos
362 1.2 christos [ -z "${BINDIR}" ] && BINDIR="${PREFIX}/bin"
363 1.2 christos [ -z "${SBINDIR}" ] && SBINDIR="${PREFIX}/sbin"
364 1.2 christos [ -z "${INCLUDEDIR}" ] && INCLUDEDIR="${PREFIX}/include/mandoc"
365 1.2 christos [ -z "${LIBDIR}" ] && LIBDIR="${PREFIX}/lib/mandoc"
366 1.2 christos [ -z "${MANDIR}" ] && MANDIR="${PREFIX}/man"
367 1.2 christos [ -z "${EXAMPLEDIR}" ] && EXAMPLEDIR="${PREFIX}/share/examples/mandoc"
368 1.2 christos
369 1.2 christos [ -z "${HTDOCDIR}" ] && HTDOCDIR="${WWWPREFIX}/htdocs"
370 1.2 christos [ -z "${CGIBINDIR}" ] && CGIBINDIR="${WWWPREFIX}/cgi-bin"
371 1.2 christos
372 1.2 christos [ -z "${INSTALL_PROGRAM}" ] && INSTALL_PROGRAM="${INSTALL} -m 0555"
373 1.2 christos [ -z "${INSTALL_LIB}" ] && INSTALL_LIB="${INSTALL} -m 0444"
374 1.2 christos [ -z "${INSTALL_MAN}" ] && INSTALL_MAN="${INSTALL} -m 0444"
375 1.2 christos [ -z "${INSTALL_DATA}" ] && INSTALL_DATA="${INSTALL} -m 0444"
376 1.2 christos
377 1.2 christos if [ ${BUILD_DB} -eq 0 -a ${BUILD_CGI} -gt 0 ]; then
378 1.2 christos echo "BUILD_CGI=0 (no BUILD_DB)" 1>&2
379 1.2 christos echo "BUILD_CGI=0 (no BUILD_DB)" 1>&3
380 1.2 christos BUILD_CGI=0
381 1.2 christos fi
382 1.2 christos
383 1.2 christos BUILD_TARGETS="base-build"
384 1.2 christos [ ${BUILD_CGI} -gt 0 ] && BUILD_TARGETS="${BUILD_TARGETS} cgi-build"
385 1.2 christos INSTALL_TARGETS="base-install"
386 1.2 christos [ ${BUILD_DB} -gt 0 ] && INSTALL_TARGETS="${INSTALL_TARGETS} db-install"
387 1.2 christos [ ${BUILD_CGI} -gt 0 ] && INSTALL_TARGETS="${INSTALL_TARGETS} cgi-install"
388 1.2 christos
389 1.2 christos cat << __HEREDOC__
390 1.2 christos BUILD_TARGETS = ${BUILD_TARGETS}
391 1.2 christos INSTALL_TARGETS = ${INSTALL_TARGETS}
392 1.2 christos CFLAGS = ${CFLAGS}
393 1.2 christos DBLIB = ${DBLIB}
394 1.2 christos STATIC = ${STATIC}
395 1.2 christos PREFIX = ${PREFIX}
396 1.2 christos BINDIR = ${BINDIR}
397 1.2 christos SBINDIR = ${SBINDIR}
398 1.2 christos INCLUDEDIR = ${INCLUDEDIR}
399 1.2 christos LIBDIR = ${LIBDIR}
400 1.2 christos MANDIR = ${MANDIR}
401 1.2 christos EXAMPLEDIR = ${EXAMPLEDIR}
402 1.2 christos WWWPREFIX = ${WWWPREFIX}
403 1.2 christos HTDOCDIR = ${HTDOCDIR}
404 1.2 christos CGIBINDIR = ${CGIBINDIR}
405 1.2 christos BINM_APROPOS = ${BINM_APROPOS}
406 1.2 christos BINM_MAN = ${BINM_MAN}
407 1.2 christos BINM_WHATIS = ${BINM_WHATIS}
408 1.2 christos BINM_MAKEWHATIS = ${BINM_MAKEWHATIS}
409 1.2 christos MANM_MAN = ${MANM_MAN}
410 1.2 christos MANM_MDOC = ${MANM_MDOC}
411 1.2 christos MANM_ROFF = ${MANM_ROFF}
412 1.2 christos MANM_EQN = ${MANM_EQN}
413 1.2 christos MANM_TBL = ${MANM_TBL}
414 1.2 christos INSTALL = ${INSTALL}
415 1.2 christos INSTALL_PROGRAM = ${INSTALL_PROGRAM}
416 1.2 christos INSTALL_LIB = ${INSTALL_LIB}
417 1.2 christos INSTALL_MAN = ${INSTALL_MAN}
418 1.2 christos INSTALL_DATA = ${INSTALL_DATA}
419 1.2 christos __HEREDOC__
420 1.2 christos
421 1.2 christos [ ${BUILD_DB} -gt 0 ] && \
422 1.2 christos echo "MAIN_OBJS = \$(BASE_OBJS) \$(DB_OBJS)"
423 1.2 christos
424 1.2 christos echo "Makefile.local: written" 1>&2
425 1.2 christos echo "Makefile.local: written" 1>&3
426 1.1 joerg
427 1.1 joerg exit 0
428